
DECLARE @CTRY TABLE (CountryName Varchar(100),RegionID TinyInt)

--ENCI Region
INSERT INTO @CTRY VALUES ('AFGHANISTAN',2)
INSERT INTO @CTRY VALUES ('ALBANIA',2)
INSERT INTO @CTRY VALUES ('ALGERIA',2)
INSERT INTO @CTRY VALUES ('AMERICAN SAMOA',2)
INSERT INTO @CTRY VALUES ('ANDORRA',2)
INSERT INTO @CTRY VALUES ('ANGOLA',2)
INSERT INTO @CTRY VALUES ('ARMENIA',2)
INSERT INTO @CTRY VALUES ('ASCENSION ISLAND',2)
INSERT INTO @CTRY VALUES ('AUSTRIA',2)
INSERT INTO @CTRY VALUES ('AZERBAIJAN',2)
INSERT INTO @CTRY VALUES ('BAHRAIN',2)
INSERT INTO @CTRY VALUES ('BELARUS',2)
INSERT INTO @CTRY VALUES ('BELGIUM',2)
INSERT INTO @CTRY VALUES ('BENIN',2)
INSERT INTO @CTRY VALUES ('BHUTAN',2)
INSERT INTO @CTRY VALUES ('BOSNA & HERCEGOVINA',2)
INSERT INTO @CTRY VALUES ('BOTSWANA',2)
INSERT INTO @CTRY VALUES ('BULGARIA',2)
INSERT INTO @CTRY VALUES ('BURUNDI',2)
INSERT INTO @CTRY VALUES ('Bourkina Fasso',2)
INSERT INTO @CTRY VALUES ('CAMEROON',2)
INSERT INTO @CTRY VALUES ('CAPE VERDE ISLANDS',2)
INSERT INTO @CTRY VALUES ('CENTRAL AFRICAN REP',2)
INSERT INTO @CTRY VALUES ('CHAD REPUBLIC',2)
INSERT INTO @CTRY VALUES ('CONGO',2)
INSERT INTO @CTRY VALUES ('COTE DIVOIRE',2)
INSERT INTO @CTRY VALUES ('CROATIA',2)
INSERT INTO @CTRY VALUES ('CYPRUS',2)
INSERT INTO @CTRY VALUES ('CZECH REPUBLIC',2)
INSERT INTO @CTRY VALUES ('DENMARK',2)
INSERT INTO @CTRY VALUES ('DJIBOUTI, REPUBLIC',2)
INSERT INTO @CTRY VALUES ('EGYPT',2)
INSERT INTO @CTRY VALUES ('ENGLAND',2)
INSERT INTO @CTRY VALUES ('EQUADOR GUINEA',2)
INSERT INTO @CTRY VALUES ('ERITREA',2)
INSERT INTO @CTRY VALUES ('ESTONIA',2)
INSERT INTO @CTRY VALUES ('ETHIOPIA',2)
INSERT INTO @CTRY VALUES ('FALKLAND ISLANDS',2)
INSERT INTO @CTRY VALUES ('FAROE ISLANDS',2)
INSERT INTO @CTRY VALUES ('GERMANY',2)
INSERT INTO @CTRY VALUES ('FINLAND',2)
INSERT INTO @CTRY VALUES ('FRANCE',2)
INSERT INTO @CTRY VALUES ('GABONESE (GABON)',2)
INSERT INTO @CTRY VALUES ('GAMBIA',2)
INSERT INTO @CTRY VALUES ('GEORGIA',2)
INSERT INTO @CTRY VALUES ('GHANA',2)
INSERT INTO @CTRY VALUES ('GIBRALTAR',2)
INSERT INTO @CTRY VALUES ('GREECE',2)
INSERT INTO @CTRY VALUES ('GREENLAND',2)
INSERT INTO @CTRY VALUES ('GUINEA, PEOPLES REP.',2)
INSERT INTO @CTRY VALUES ('GUINEA-BISSAU',2)
INSERT INTO @CTRY VALUES ('HUNGARY',2)
INSERT INTO @CTRY VALUES ('ICELAND',2)
INSERT INTO @CTRY VALUES ('IRAN',2)
INSERT INTO @CTRY VALUES ('IRAQ',2)
INSERT INTO @CTRY VALUES ('IRELAND',2)
INSERT INTO @CTRY VALUES ('ISRAEL',2)
INSERT INTO @CTRY VALUES ('ITALY',2)
INSERT INTO @CTRY VALUES ('IVORY COAST',2)
INSERT INTO @CTRY VALUES ('JORDON',2)
INSERT INTO @CTRY VALUES ('KAZAKHSTAN',2)
INSERT INTO @CTRY VALUES ('KENYA',2)
INSERT INTO @CTRY VALUES ('KIRIBATI',2)
INSERT INTO @CTRY VALUES ('KUWAIT',2)
INSERT INTO @CTRY VALUES ('KYRGYZSTAN',2)
INSERT INTO @CTRY VALUES ('LATVIA',2)
INSERT INTO @CTRY VALUES ('LEBANON',2)
INSERT INTO @CTRY VALUES ('LESOTHO, KINDGDOM OF',2)
INSERT INTO @CTRY VALUES ('LIBERIA',2)
INSERT INTO @CTRY VALUES ('LIBYA',2)
INSERT INTO @CTRY VALUES ('LIECHTENSTEIN',2)
INSERT INTO @CTRY VALUES ('LITHUANIA',2)
INSERT INTO @CTRY VALUES ('LUXEMBOURG',2)
INSERT INTO @CTRY VALUES ('MACEDONIA',2)
INSERT INTO @CTRY VALUES ('MADAGASCAR,REPUBLIC',2)
INSERT INTO @CTRY VALUES ('MALAWI',2)
INSERT INTO @CTRY VALUES ('MALI',2)
INSERT INTO @CTRY VALUES ('MALTA, REPUBLIC OF',2)
INSERT INTO @CTRY VALUES ('MAURITANIA',2)
INSERT INTO @CTRY VALUES ('MAURITIUS',2)
INSERT INTO @CTRY VALUES ('MAYOTTE ISLANDS',2)
INSERT INTO @CTRY VALUES ('MOLDAVA',2)
INSERT INTO @CTRY VALUES ('MONACO',2)
INSERT INTO @CTRY VALUES ('MONTENEGRO',2)
INSERT INTO @CTRY VALUES ('MONTSERRAT',2)
INSERT INTO @CTRY VALUES ('MOROCCO, KINGDOM OF',2)
INSERT INTO @CTRY VALUES ('MOZAMBIQUE',2)
INSERT INTO @CTRY VALUES ('NAMIBIA',2)
INSERT INTO @CTRY VALUES ('NAURU',2)
INSERT INTO @CTRY VALUES ('NETHERLANDS(HOLLAND)',2)
INSERT INTO @CTRY VALUES ('NEW CALEDONIA',2)
INSERT INTO @CTRY VALUES ('NIGER, REPUBLIC OF',2)
INSERT INTO @CTRY VALUES ('NIGERIA',2)
INSERT INTO @CTRY VALUES ('NORWAY',2)
INSERT INTO @CTRY VALUES ('OMAN',2)
INSERT INTO @CTRY VALUES ('PALESTINE OCC TERR.',2)
INSERT INTO @CTRY VALUES ('POLAND',2)
INSERT INTO @CTRY VALUES ('PORTUGAL',2)
INSERT INTO @CTRY VALUES ('QATAR',2)
INSERT INTO @CTRY VALUES ('ROMANIA',2)
INSERT INTO @CTRY VALUES ('RUSSIA',2)
INSERT INTO @CTRY VALUES ('RWANDA, REPUBLIC OF',2)
INSERT INTO @CTRY VALUES ('SAN MARINO',2)
INSERT INTO @CTRY VALUES ('SAO TOME & PRINCIPE',2)
INSERT INTO @CTRY VALUES ('SAUDI ARABIA',2)
INSERT INTO @CTRY VALUES ('SENEGAL',2)
INSERT INTO @CTRY VALUES ('SERBIA',2)
INSERT INTO @CTRY VALUES ('SEYCHELLES',2)
INSERT INTO @CTRY VALUES ('SIERRA LEONE',2)
INSERT INTO @CTRY VALUES ('SLOVAKIA/POST SPLIT',2)
INSERT INTO @CTRY VALUES ('SLOVENIA (SLOVENIZA)',2)
INSERT INTO @CTRY VALUES ('SOMALI',2)
INSERT INTO @CTRY VALUES ('SOUTH AFRICA',2)
INSERT INTO @CTRY VALUES ('SPAIN',2)
INSERT INTO @CTRY VALUES ('ST HELENA',2)
INSERT INTO @CTRY VALUES ('SUDAN, REPUBLIC',2)
INSERT INTO @CTRY VALUES ('SWAZILAND',2)
INSERT INTO @CTRY VALUES ('SWEDEN',2)
INSERT INTO @CTRY VALUES ('SWITZERLAND',2)
INSERT INTO @CTRY VALUES ('SYRIAN ARAB REPUBLIC',2)
INSERT INTO @CTRY VALUES ('TAJIKISTAN',2)
INSERT INTO @CTRY VALUES ('TANZANIA, REPUBLIC',2)
INSERT INTO @CTRY VALUES ('TOGOLESE REPUBLIC',2)
INSERT INTO @CTRY VALUES ('TUNISIA',2)
INSERT INTO @CTRY VALUES ('TURKEY',2)
INSERT INTO @CTRY VALUES ('TURKMENISTAN',2)
INSERT INTO @CTRY VALUES ('TUVALU',2)
INSERT INTO @CTRY VALUES ('UGANDA',2)
INSERT INTO @CTRY VALUES ('UKRAINE',2)
INSERT INTO @CTRY VALUES ('UNITED ARAB EMIRATES',2)
INSERT INTO @CTRY VALUES ('UZBEKISTAN',2)
INSERT INTO @CTRY VALUES ('VANATU',2)
INSERT INTO @CTRY VALUES ('ZAIRE, REPUBLIC OF',2)
INSERT INTO @CTRY VALUES ('ZAMBIA',2)
INSERT INTO @CTRY VALUES ('ZIMBABWE',2)

--AMNCI
INSERT INTO @CTRY VALUES ('ARGENTINA',1)
INSERT INTO @CTRY VALUES ('ARUBA',1)
INSERT INTO @CTRY VALUES ('BAHAMAS',1)
INSERT INTO @CTRY VALUES ('BELIZE',1)
INSERT INTO @CTRY VALUES ('BERMUDA',1)
INSERT INTO @CTRY VALUES ('BOLIVIA',1)
INSERT INTO @CTRY VALUES ('BRAZIL',1)
INSERT INTO @CTRY VALUES ('CANADA',1)
INSERT INTO @CTRY VALUES ('CHILE',1)
INSERT INTO @CTRY VALUES ('COLOMBIA',1)
INSERT INTO @CTRY VALUES ('COSTA RICA',1)
INSERT INTO @CTRY VALUES ('DOMINICAN REPUBLIC',1)
INSERT INTO @CTRY VALUES ('ECUADOR',1)
INSERT INTO @CTRY VALUES ('EL SALVADOR',1)
INSERT INTO @CTRY VALUES ('FRENCH GUIANA',1)
INSERT INTO @CTRY VALUES ('GUADELOPE',1)
INSERT INTO @CTRY VALUES ('GUATEMALA',1)
INSERT INTO @CTRY VALUES ('GUINEA  ',1)
INSERT INTO @CTRY VALUES ('HAITI',1)
INSERT INTO @CTRY VALUES ('HONDURAS',1)
INSERT INTO @CTRY VALUES ('JAMAICA',1)
INSERT INTO @CTRY VALUES ('MARTINIQUE',1)
INSERT INTO @CTRY VALUES ('MEXICO',1)
INSERT INTO @CTRY VALUES ('NETHERERLANDS ANTILLES',1)
INSERT INTO @CTRY VALUES ('NICARAGUA',1)
INSERT INTO @CTRY VALUES ('PANAMA',1)
INSERT INTO @CTRY VALUES ('PARAGUAY',1)
INSERT INTO @CTRY VALUES ('PERU',1)
INSERT INTO @CTRY VALUES ('PHILIPPINES',1)
INSERT INTO @CTRY VALUES ('PUERTO RICO',1)
INSERT INTO @CTRY VALUES ('TRINIDAD & TOBAGO ',1)
INSERT INTO @CTRY VALUES ('URUGUAY',1)
INSERT INTO @CTRY VALUES ('VENEZUELA',1)
INSERT INTO @CTRY VALUES ('VIRGIN ISLANDS, US',1)
INSERT INTO @CTRY VALUES ('United States',1)

--ANCI
INSERT INTO @CTRY VALUES ('AUSTRALIA',3)
INSERT INTO @CTRY VALUES ('BANGLADESH',3)
INSERT INTO @CTRY VALUES ('BRUNEI DARUSSALAM',3)
INSERT INTO @CTRY VALUES ('CHINA',3)
INSERT INTO @CTRY VALUES ('COOK ISLANDS',3)
INSERT INTO @CTRY VALUES ('FIJI',3)
INSERT INTO @CTRY VALUES ('FRENCH POLYNESIA',3)
INSERT INTO @CTRY VALUES ('GUAM',3)
INSERT INTO @CTRY VALUES ('HONG KONG',3)
INSERT INTO @CTRY VALUES ('INDIA',3)
INSERT INTO @CTRY VALUES ('INDONESIA',3)
INSERT INTO @CTRY VALUES ('JAPAN',3)
INSERT INTO @CTRY VALUES ('PAKISTAN',3)
INSERT INTO @CTRY VALUES ('MALAYSIA',3)
INSERT INTO @CTRY VALUES ('MARSHALL ISLANDS',3)
INSERT INTO @CTRY VALUES ('MONGOLIA',3)
INSERT INTO @CTRY VALUES ('NEPAL',3)
INSERT INTO @CTRY VALUES ('NEW ZEALAND',3)
INSERT INTO @CTRY VALUES ('PALAU, REPUBLIC OF',3)
INSERT INTO @CTRY VALUES ('PAPUA NEW GUINEA',3)
INSERT INTO @CTRY VALUES ('PORTUGUESE TIMOR',3)
INSERT INTO @CTRY VALUES ('SINGAPORE',3)
INSERT INTO @CTRY VALUES ('SOLOMON ISLANDS',3)
INSERT INTO @CTRY VALUES ('SOUTH KOREA (KOREA REP OF)',3)
INSERT INTO @CTRY VALUES ('TAIWAN',3)
INSERT INTO @CTRY VALUES ('THAILAND',3)
INSERT INTO @CTRY VALUES ('TOKELAU ISLANDS',3)
INSERT INTO @CTRY VALUES ('TONGA, KINGDOM OF',3)
INSERT INTO @CTRY VALUES ('VIETNAM',3)

--Select * FROM @CTRY


--Select *
--	FROM dbo.LK_CTRY lc 
--INNER JOIN @CTRY c on c.CountryName = lc.CTRY_NME

UPDATE lc
	SET RGN_ID = c.RegionID
	FROM LK_CTRY lc 
INNER JOIN @CTRY c on c.CountryName = lc.CTRY_NME

--Select * FROM LK_CTRY

	
	